Bug 244012 - Old path to openssl used in sendmail.mc
Summary: Old path to openssl used in sendmail.mc
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sendmail
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 11:08 UTC by Kenneth Porter
Modified: 2010-03-30 08:23 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-30 08:23:21 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0237 normal SHIPPED_LIVE Low: sendmail security and bug fix update 2010-03-29 12:40:12 UTC

Description Kenneth Porter 2007-06-13 11:08:45 UTC
This is a documentation issue. It's just the comments in the default
configuration file that point at the old openssl location.

sendmail-8.13.8-2.el5, as installed on CentOS5.

In sendmail.mc:

dnl # Rudimentary information on creating certificates for sendmail TLS:
dnl #     cd /usr/share/ssl/certs; make sendmail.pem
dnl # Complete usage:
dnl #     make -C /usr/share/ssl/certs usage
dnl #
dnl define(`confCACERT_PATH', `/etc/pki/tls/certs')dnl
dnl define(`confCACERT', `/etc/pki/tls/certs/ca-bundle.crt')dnl
dnl define(`confSERVER_CERT', `/etc/pki/tls/certs/sendmail.pem')dnl
dnl define(`confSERVER_KEY', `/etc/pki/tls/certs/sendmail.pem')dnl

Replace /usr/share/ssl with /etc/pki/tls. This was already done with the
commented-out directives to specify the location of the output files. It just
needs to be fixed for the path to the Makefile.

Comment 1 Phil Knirsch 2008-05-05 12:11:22 UTC
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil


Comment 2 Phil Knirsch 2008-05-14 14:30:44 UTC
Proposing bug for RHEL-5.3 FasTrack.

Read ya, Phil


Comment 3 Phil Knirsch 2008-05-14 14:32:52 UTC
Reverting last request, sendmail is not eligible for FasTrack.

Sorry about that,

Read ya, Phil

Comment 4 RHEL Product and Program Management 2009-03-26 16:50:05 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 11 errata-xmlrpc 2010-03-30 08:23:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0237.html


Note You need to log in before you can comment on or make changes to this bug.